Page MenuHomePhabricator

Enhanced recent changes don't format external usernames well in contributors summary
Closed, ResolvedPublic3 Story Points

Description

Although T189320 has been fixed, external usernames on the main line still show "wikidata>".

Screenshot of Wikidata changes in recent changes on cswiki:

Notice the illogical difference between the contributors summary and the other occurrence.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 3:31 PM
Lydia_Pintscher closed this task as Resolved.Apr 15 2018, 3:56 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I just tried to reproduce it and it seems ok now:

Please reopen if I missed something.

matej_suchanek reopened this task as Open.Apr 15 2018, 4:24 PM
matej_suchanek removed Lydia_Pintscher as the assignee of this task.

Search for an IP address within [... (#×)].

Damn :D Ok. Thanks.
Let's see if @Ladsgroup has an idea.

WMDE-leszek set the point value for this task to 3.

Change 428712 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Make RCCacheEntry use the local part of the user name for linking

https://gerrit.wikimedia.org/r/428712

Ladsgroup moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 24 2018, 6:55 PM

Change 428712 merged by jenkins-bot:
[mediawiki/core@master] Make RCCacheEntry use the local part of the user name for linking

https://gerrit.wikimedia.org/r/428712

Lydia_Pintscher closed this task as Resolved.May 24 2018, 9:28 AM